#!/bin/sh




# remove old WebtopMod folders
if [ -d /data/local/tmp/WebtopMod ]
then
	echo "Remove old installer ...\n"
	rm -R /data/local/tmp/WebtopMod 
fi


# extract WebtopMod
echo "Extracting the installer ...\n(this will take a bit, be patient)\n"
tar -zxvf /data/local/tmp/WebtopMod.tar.gz -C /data/local/tmp/ >/dev/null 2>&1
tar -zxvf /data/local/tmp/Mod4BellAtrix.tar.gz -C /data/local/tmp/ >/dev/null 2>&1

# mount /system rw
mount -o rw,remount /dev/block/mmcblk0p12 /system >/dev/null 2>&1
mkdir /mnt/sdcard/WebtopModBackup >/dev/null 2>&1

# backup apk files
cp /system/app/DockProvider.apk /mnt/sdcard/WebtopModBackup/DockProvider.apk.bak >/dev/null 2>&1
cp /system/app/DockService.apk /mnt/sdcard/WebtopModBackup/DockService.apk.bak >/dev/null 2>&1
cp /system/app/PortalApp.apk /mnt/sdcard/WebtopModBackup/PortalApp.apk.bak >/dev/null 2>&1

# backup and remove .odex files for .apks being replaced
cp /system/app/DockProvider.odex /mnt/sdcard/WebtopModBackup/DockProvider.odex.bak >/dev/null 2>&1
cp /system/app/DockService.odex /mnt/sdcard/WebtopModBackup/DockService.odex.bak >/dev/null 2>&1
cp /system/app/PortalApp.odex /mnt/sdcard/WebtopModBackup/PortalApp.odex.bak >/dev/null 2>&1
rm /system/app/DockProvider.odex >/dev/null 2>&1
rm /system/app/DockService.odex >/dev/null 2>&1
rm /system/app/PortalApp.odex >/dev/null 2>&1

# remove dalvik-cache
echo "Removing dalvik-cache\n"
rm /data/dalvik-cache/system@app*.dex >/dev/null 2>&1
rm /data/dalvik-cache/system@framework*.dex >/dev/null 2>&1
rm /data/dalvik-cache/system@app*.odex >/dev/null 2>&1
rm /data/dalvik-cache/system@framework*.odex >/dev/null 2>&1

# copy the modded files over
echo "Copying modified files to /system/app ...\n(your phone may become unresponsive, be patient)\n"
cp /data/local/tmp/WebtopMod/* /system/app >/dev/null 2>&1
cp /data/local/tmp/Mod4BellAtrix/* /system/app >/dev/null 2>&1


# repair fonts
echo "repair fonts\n"
cp /data/local/tmp/msyh.ttf /usr/share/fonts

# remove tmp files
echo "remove tmp files...\n"
rm /mnt/sdcard/temppp/* >/dev/null 2>&1
rmdir /mnt/sdcard/temppp >/dev/null 2>&1
rm -R /data/local/tmp/WebtopMod >/dev/null 2>&1

# reboot
echo "Rebooting ...\n(notification light will start blink red, wait for it to reboot)\n"
reboot 
echo "Once the boot is complete, when you plug in an HDMI device, you will see WebTop as an option!\n";
